Bug 560579 - JCA adapter for qpid JMS client
Summary: JCA adapter for qpid JMS client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-jca
Version: 1.2
Hardware: All
OS: Linux
high
medium
Target Milestone: 2.1.2
: ---
Assignee: Andrew Stitcher
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-01 09:01 UTC by Gordon Sim
Modified: 2018-11-29 21:56 UTC (History)
7 users (show)

Fixed In Version: qpid-java-jca-0.10-1
Doc Type: Enhancement
Doc Text:
Cause: Provide a JCA compliant ResourceAdapter for Qpid/MRG JMS Consequence: JCA JEE integration is not available and Qpid JMS cannot be easily integrated with supporting JEE application servers. Fix: The Qpid/MRG Resource Adapter is a JCA 1.5 compliant resource adapter that allows for JEE integration between EE applications and AMQP 0.10 message brokers. The Qpid/MRG JCA adapter provides both outbound and inbound connectivity and exposes a variety of options to fine tune your messaging applications, as well as offering XA transaction support, connection pooling, security and JEE based configuration and management. Currently the adapter only supports C++ based brokers and has only been tested with Apache Qpid C++ broker. Result: With this release a JCA compliant ResourceAdapter is provide for JEE integration.
Clone Of:
Environment:
Last Closed: 2012-12-07 17:42:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gordon Sim 2010-02-01 09:01:12 UTC
Description of problem:

Integration with JEE app servers requires a JCA adapter. (The available generic 
adapters require optional features of JMS that are not implemented by Qpid).

Comment 1 Fedora Update System 2010-03-22 00:49:48 UTC
python-virtinst-0.500.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-virtinst-0.500.1-3.fc12

Comment 5 Jiri Pechanec 2012-03-06 10:10:55 UTC
JCA adapter was accepted as production quality in 0.14-9

Comment 6 Weston M. Price 2012-03-13 18:14:48 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Provide a JCA compliant ResourceAdapter for Qpid/MRG JMS 

Consequence: JCA JEE integration is not available and Qpid JMS cannot be easily integrated with supporting JEE application servers.

Fix: The Qpid/MRG Resource Adapter is a JCA 1.5 compliant resource adapter that allows for JEE integration between EE applications and AMQP 0.10  message brokers.

The Qpid/MRG JCA adapter provides both outbound and inbound connectivity and exposes a variety of options to fine tune your messaging applications, as well as offering XA transaction support, connection pooling, security and JEE based configuration and management.

Currently the adapter only supports C++ based brokers and has only been tested with Apache Qpid C++ broker.

Result: With this release a JCA compliant ResourceAdapter is provide for JEE integration.

Comment 7 Daniel Kinon 2012-09-20 17:34:46 UTC
According to mccessman, this has already be released and should be closed out.  Please provide the errata information related to this release so I can pass it on to the customer.
Thanks,
-Dasn


Note You need to log in before you can comment on or make changes to this bug.